This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 767855

Summary: Wifi performance issues (Tx aggregation enabled on ra=MAC)
Product: [Fedora] Fedora Reporter: David Kovalsky <dkovalsk>
Component: kernelAssignee: John W. Linville <linville>
Status: CLOSED INSUFFICIENT_DATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: high Docs Contact:
Priority: high    
Version: 16CC: benl, gansalmon, gholms, itamar, jforbes, jonathan, jweiss, kernel-maint, madhu.chinakonda, npatil, samuel-rhbugs
Target Milestone: ---Keywords: Regression, Reopened
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: kernel-3.2.3-2.fc16 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-11-14 10:33:39 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description David Kovalsky 2011-12-14 20:33:41 EST
When I open many threads (good reproducer is downloading a few torrents via ktorrent) and start scp-ing a file over wifi network, I suddently see high performance degradation. While I can normaly do ~10 megabyte per second on N-class wifi, it suddently falls under 1 megabyte, sometimes network (ping) is unresponsive for a couple of seconds. 

/var/log/messages shows these messages:
Dec 15 02:25:34 kovinek kernel: [ 7005.205283] iwlagn 0000:03:00.0: Stopping AGG while state not ON or starting
Dec 15 02:25:34 kovinek kernel: [ 7005.205290] iwlagn 0000:03:00.0: queue number out of range: 0, must be 10 to 19
Dec 15 02:25:44 kovinek dbus[1447]: [system] Activating service name='net.reactivated.Fprint' (using servicehelper)
Dec 15 02:25:44 kovinek dbus-daemon[1447]: dbus[1447]: [system] Activating service name='net.reactivated.Fprint' (using servicehelper)
Dec 15 02:25:44 kovinek dbus-daemon[1447]: Launching FprintObject
Dec 15 02:25:44 kovinek dbus[1447]: [system] Successfully activated service 'net.reactivated.Fprint'
Dec 15 02:25:44 kovinek dbus-daemon[1447]: dbus[1447]: [system] Successfully activated service 'net.reactivated.Fprint'
Dec 15 02:25:44 kovinek dbus-daemon[1447]: ** Message: D-Bus service launched with name: net.reactivated.Fprint
Dec 15 02:25:44 kovinek dbus-daemon[1447]: ** Message: entering main loop
Dec 15 02:25:44 kovinek kernel: [ 7014.942813] iwlagn 0000:03:00.0: Tx aggregation enabled on ra = MAC_ADDR_REMOVED tid = 0
Dec 15 02:26:04 kovinek kernel: [ 7034.390811] iwlagn 0000:03:00.0: Queue 10 stuck for 2000 ms.
Dec 15 02:26:04 kovinek kernel: [ 7034.390818] iwlagn 0000:03:00.0: On demand firmware reload
Dec 15 02:26:04 kovinek kernel: [ 7034.390918] ieee80211 phy0: Hardware restart was requested
Dec 15 02:26:04 kovinek kernel: [ 7034.390980] iwlagn 0000:03:00.0: L1 Enabled; Disabling L0S
Dec 15 02:26:04 kovinek kernel: [ 7034.391161] iwlagn 0000:03:00.0: Radio type=0x0-0x3-0x1
Dec 15 02:26:04 kovinek kernel: [ 7034.797509] iwlagn 0000:03:00.0: Stopping AGG while state not ON or starting
Dec 15 02:26:04 kovinek kernel: [ 7034.797518] iwlagn 0000:03:00.0: queue number out of range: 0, must be 10 to 19
Dec 15 02:26:13 kovinek dbus-daemon[1447]: ** Message: No devices in use, exit
Dec 15 02:26:16 kovinek kernel: [ 7046.774201] iwlagn 0000:03:00.0: Tx aggregation enabled on ra = MAC_ADDR_REMOVED tid = 0
Dec 15 02:26:23 kovinek kernel: [ 7053.983583] iwlagn 0000:03:00.0: Queue 10 stuck for 2000 ms.
Dec 15 02:26:23 kovinek kernel: [ 7053.983590] iwlagn 0000:03:00.0: On demand firmware reload                                                    
Dec 15 02:26:23 kovinek kernel: [ 7053.983703] ieee80211 phy0: Hardware restart was requested                                                    
Dec 15 02:26:23 kovinek kernel: [ 7053.983766] iwlagn 0000:03:00.0: L1 Enabled; Disabling L0S                                                    
Dec 15 02:26:23 kovinek kernel: [ 7053.983947] iwlagn 0000:03:00.0: Radio type=0x0-0x3-0x1                                                       
Dec 15 02:26:24 kovinek kernel: [ 7054.444427] iwlagn 0000:03:00.0: Stopping AGG while state not ON or starting                                  
Dec 15 02:26:24 kovinek kernel: [ 7054.444435] iwlagn 0000:03:00.0: queue number out of range: 0, must be 10 to 19                               
Dec 15 02:26:32 kovinek kernel: [ 7063.161536] iwlagn 0000:03:00.0: Tx aggregation enabled on ra = MAC_ADDR_REMOVED tid = 0                     
Dec 15 02:26:38 kovinek kernel: [ 7069.070204] iwlagn 0000:03:00.0: Queue 10 stuck for 2000 ms.                                                  
Dec 15 02:26:38 kovinek kernel: [ 7069.070211] iwlagn 0000:03:00.0: On demand firmware reload                                                    
Dec 15 02:26:38 kovinek kernel: [ 7069.070312] ieee80211 phy0: Hardware restart was requested                                                    
Dec 15 02:26:38 kovinek kernel: [ 7069.070374] iwlagn 0000:03:00.0: L1 Enabled; Disabling L0S                                                    
Dec 15 02:26:38 kovinek kernel: [ 7069.070559] iwlagn 0000:03:00.0: Radio type=0x0-0x3-0x1                                                       
Dec 15 02:26:39 kovinek kernel: [ 7069.381751] iwlagn 0000:03:00.0: Stopping AGG while state not ON or starting
Dec 15 02:26:39 kovinek kernel: [ 7069.381759] iwlagn 0000:03:00.0: queue number out of range: 0, must be 10 to 19
Dec 15 02:26:50 kovinek kernel: [ 7081.205973] iwlagn 0000:03:00.0: Tx aggregation enabled on ra = MAC_ADDR_REMOVED tid = 0
Dec 15 02:27:03 kovinek kernel: [ 7094.171549] iwlagn 0000:03:00.0: Queue 10 stuck for 2000 ms.
Dec 15 02:27:03 kovinek kernel: [ 7094.171553] iwlagn 0000:03:00.0: On demand firmware reload
Dec 15 02:27:03 kovinek kernel: [ 7094.171672] ieee80211 phy0: Hardware restart was requested
Dec 15 02:27:03 kovinek kernel: [ 7094.171729] iwlagn 0000:03:00.0: L1 Enabled; Disabling L0S
Dec 15 02:27:03 kovinek kernel: [ 7094.171888] iwlagn 0000:03:00.0: Radio type=0x0-0x3-0x1
Dec 15 02:27:04 kovinek kernel: [ 7094.599067] iwlagn 0000:03:00.0: Stopping AGG while state not ON or starting
Dec 15 02:27:04 kovinek kernel: [ 7094.599076] iwlagn 0000:03:00.0: queue number out of range: 0, must be 10 to 19
Dec 15 02:27:11 kovinek kernel: [ 7101.640504] iwlagn 0000:03:00.0: Tx aggregation enabled on ra = MAC_ADDR_REMOVED tid = 0
Dec 15 02:27:21 kovinek kernel: [ 7111.762156] iwlagn 0000:03:00.0: Queue 10 stuck for 2000 ms.
Dec 15 02:27:21 kovinek kernel: [ 7111.762162] iwlagn 0000:03:00.0: On demand firmware reload
Dec 15 02:27:21 kovinek kernel: [ 7111.762270] ieee80211 phy0: Hardware restart was requested
Dec 15 02:27:21 kovinek kernel: [ 7111.762335] iwlagn 0000:03:00.0: L1 Enabled; Disabling L0S
Dec 15 02:27:21 kovinek kernel: [ 7111.762519] iwlagn 0000:03:00.0: Radio type=0x0-0x3-0x1
Dec 15 02:27:21 kovinek kernel: [ 7112.158080] iwlagn 0000:03:00.0: Stopping AGG while state not ON or starting
Dec 15 02:27:21 kovinek kernel: [ 7112.158089] iwlagn 0000:03:00.0: queue number out of range: 0, must be 10 to 19
Dec 15 02:27:28 kovinek kernel: [ 7118.746236] iwlagn 0000:03:00.0: Tx aggregation enabled on ra = MAC_ADDR_REMOVED tid = 0
Dec 15 02:27:48 kovinek kernel: [ 7138.841902] iwlagn 0000:03:00.0: Tx aggregation enabled on ra = MAC_ADDR_REMOVED tid = 6
Dec 15 02:28:14 kovinek kernel: [ 7164.406926] iwlagn 0000:03:00.0: Queue 10 stuck for 2000 ms.
Dec 15 02:28:14 kovinek kernel: [ 7164.406932] iwlagn 0000:03:00.0: On demand firmware reload
Dec 15 02:28:14 kovinek kernel: [ 7164.407043] ieee80211 phy0: Hardware restart was requested
Dec 15 02:28:14 kovinek kernel: [ 7164.407107] iwlagn 0000:03:00.0: L1 Enabled; Disabling L0S
Dec 15 02:28:14 kovinek kernel: [ 7164.407289] iwlagn 0000:03:00.0: Radio type=0x0-0x3-0x1
Dec 15 02:28:14 kovinek kernel: [ 7164.887675] iwlagn 0000:03:00.0: Stopping AGG while state not ON or starting
Dec 15 02:28:14 kovinek kernel: [ 7164.887683] iwlagn 0000:03:00.0: queue number out of range: 0, must be 10 to 19
Dec 15 02:28:14 kovinek kernel: [ 7164.888707] iwlagn 0000:03:00.0: Stopping AGG while state not ON or starting
Dec 15 02:28:14 kovinek kernel: [ 7164.888713] iwlagn 0000:03:00.0: queue number out of range: 0, must be 10 to 19
Dec 15 02:28:24 kovinek kernel: [ 7174.541955] iwlagn 0000:03:00.0: Tx aggregation enabled on ra = MAC_ADDR_REMOVED tid = 0
Dec 15 02:28:40 kovinek kernel: [ 7190.510889] iwlagn 0000:03:00.0: Queue 10 stuck for 2000 ms.
Dec 15 02:28:40 kovinek kernel: [ 7190.510895] iwlagn 0000:03:00.0: On demand firmware reload
Dec 15 02:28:40 kovinek kernel: [ 7190.511001] ieee80211 phy0: Hardware restart was requested
Dec 15 02:28:40 kovinek kernel: [ 7190.511086] iwlagn 0000:03:00.0: L1 Enabled; Disabling L0S
Dec 15 02:28:40 kovinek kernel: [ 7190.511267] iwlagn 0000:03:00.0: Radio type=0x0-0x3-0x1
Dec 15 02:28:40 kovinek kernel: [ 7191.136923] iwlagn 0000:03:00.0: Stopping AGG while state not ON or starting
Dec 15 02:28:40 kovinek kernel: [ 7191.136931] iwlagn 0000:03:00.0: queue number out of range: 0, must be 10 to 19
Dec 15 02:28:49 kovinek kernel: [ 7200.073941] iwlagn 0000:03:00.0: Tx aggregation enabled on ra = MAC_ADDR_REMOVED tid = 0
Dec 15 02:29:16 kovinek kernel: [ 7226.629607] iwlagn 0000:03:00.0: Queue 10 stuck for 2000 ms.
Dec 15 02:29:16 kovinek kernel: [ 7226.629613] iwlagn 0000:03:00.0: On demand firmware reload
Dec 15 02:29:16 kovinek kernel: [ 7226.629747] ieee80211 phy0: Hardware restart was requested
Dec 15 02:29:16 kovinek kernel: [ 7226.629807] iwlagn 0000:03:00.0: L1 Enabled; Disabling L0S
Dec 15 02:29:16 kovinek kernel: [ 7226.629989] iwlagn 0000:03:00.0: Radio type=0x0-0x3-0x1
Dec 15 02:29:16 kovinek kernel: [ 7227.136025] iwlagn 0000:03:00.0: Stopping AGG while state not ON or starting
Dec 15 02:29:16 kovinek kernel: [ 7227.136033] iwlagn 0000:03:00.0: queue number out of range: 0, must be 10 to 19
Dec 15 02:29:23 kovinek kernel: [ 7233.527653] iwlagn 0000:03:00.0: Tx aggregation enabled on ra = MAC_ADDR_REMOVED tid = 0
Dec 15 02:29:53 kovinek kernel: [ 7263.749922] iwlagn 0000:03:00.0: Queue 10 stuck for 2000 ms.
Dec 15 02:29:53 kovinek kernel: [ 7263.749929] iwlagn 0000:03:00.0: On demand firmware reload
Dec 15 02:29:53 kovinek kernel: [ 7263.750044] ieee80211 phy0: Hardware restart was requested
Dec 15 02:29:53 kovinek kernel: [ 7263.750108] iwlagn 0000:03:00.0: L1 Enabled; Disabling L0S
Dec 15 02:29:53 kovinek kernel: [ 7263.750289] iwlagn 0000:03:00.0: Radio type=0x0-0x3-0x1
Dec 15 02:29:53 kovinek kernel: [ 7264.166097] iwlagn 0000:03:00.0: Stopping AGG while state not ON or starting
Dec 15 02:29:53 kovinek kernel: [ 7264.166105] iwlagn 0000:03:00.0: queue number out of range: 0, must be 10 to 19
Dec 15 02:29:57 kovinek kernel: [ 7268.221972] iwlagn 0000:03:00.0: Tx aggregation enabled on ra = MAC_ADDR_REMOVED tid = 0
Dec 15 02:30:17 kovinek kernel: [ 7287.349917] iwlagn 0000:03:00.0: Queue 10 stuck for 2000 ms.
Dec 15 02:30:17 kovinek kernel: [ 7287.349924] iwlagn 0000:03:00.0: On demand firmware reload
Dec 15 02:30:17 kovinek kernel: [ 7287.350034] ieee80211 phy0: Hardware restart was requested
Dec 15 02:30:17 kovinek kernel: [ 7287.350099] iwlagn 0000:03:00.0: L1 Enabled; Disabling L0S
Dec 15 02:30:17 kovinek kernel: [ 7287.350281] iwlagn 0000:03:00.0: Radio type=0x0-0x3-0x1
Dec 15 02:30:17 kovinek kernel: [ 7287.608594] iwlagn 0000:03:00.0: Stopping AGG while state not ON or starting
Dec 15 02:30:17 kovinek kernel: [ 7287.608602] iwlagn 0000:03:00.0: queue number out of range: 0, must be 10 to 19
Dec 15 02:30:23 kovinek kernel: [ 7293.511204] iwlagn 0000:03:00.0: Tx aggregation enabled on ra = MAC_ADDR_REMOVED tid = 0



100% reproducible, kernel-3.1.5-2.fc16.x86_64, but I've registered this a while back even with older kernels.
Comment 1 Samuel Sieb 2012-02-02 00:17:45 EST
I'm seeing this too, although all I get are a whole bunch of the aggregation enabled lines.  Usually it ends up with no data transfer at all and iwconfig shows the connection speed at 1 Mb/s.  I need to restart the wireless or switch access points to get the connection back.

I'm using kernel version version 3.2.2-1.fc16.i686.PAE and it seems to be much worse with the last few kernel versions.  The wifi controller is:
0c:00.0 Network controller: Intel Corporation WiFi Link 5100

The kernel module is now called iwlwifi instead of iwlagn.
Comment 2 Samuel Sieb 2012-02-02 00:24:01 EST
Also it seems to happen with most access points.
Comment 3 Samuel Sieb 2012-02-02 00:32:12 EST
Doing some more looking around, that particular message is supposed to be irrelevant:
http://www.spinics.net/lists/linux-wireless/msg84172.html

But my messages log is getting spammed with these lines and there are no other lines indicating a problem.
Comment 4 Yaniv Kaul 2012-02-02 01:21:59 EST
Same, as soon as I open a VPN connection to work, I see that message in dmesg, once, and then ALL connectivity is lost (ping to default gateway is not even working) on the wifi. This did NOT happen before kernel-3.2.2-1.fc16.x86_64 (therefore marking as regression).
This is the only relevant message on dmesg:
[41824.575345] iwlwifi 0000:03:00.0: Tx aggregation enabled on ra = 00:23:cd:15:60:6c tid = 0

which may appear multiple times.

My wifi card (from lspci):
03:00.0 Network controller: Intel Corporation PRO/Wireless 5100 AGN [Shiloh] Network Connection
        Subsystem: Intel Corporation WiFi Link 5100 AGN
        Physical Slot: 1
        Flags: bus master, fast devsel, latency 0, IRQ 47
        Memory at f4300000 (64-bit, non-prefetchable) [size=8K]
        Capabilities: <access denied>
        Kernel driver in use: iwlwifi
        Kernel modules: iwlwifi
Comment 5 David Kovalsky 2012-02-02 08:24:12 EST
Same experience as Yaniv. With the 3.2.2 kernel the "dead network" became more often. I can't even ping the router/gw.

At first I could trigger this only by opening a whole lot of connections (bittorrent), but lately it appears minutes after startup while I'm not doing anything stressing the network (kerneros, starting up VPN or opening Google homepage). 

03:00.0 Network controller: Intel Corporation Centrino Ultimate-N 6300 (rev 35)
        Subsystem: Intel Corporation Centrino Ultimate-N 6300 3x3 AGN
        Flags: bus master, fast devsel, latency 0, IRQ 56
        Memory at f2000000 (64-bit, non-prefetchable) [size=8K]
        Capabilities: [c8] Power Management version 3
        Capabilities: [d0] MSI: Enable+ Count=1/1 Maskable- 64bit+
        Capabilities: [e0] Express Endpoint, MSI 00
        Capabilities: [100] Advanced Error Reporting
        Capabilities: [140] Device Serial Number 00-24-d7-ff-ff-1d-06-e0
        Kernel driver in use: iwlwifi
        Kernel modules: iwlwifi
Comment 6 Jeff Weiss 2012-02-03 07:18:14 EST
I have the same hardware as David in the previous comment, and the exact same behavior.  Just using a browser triggers it, happens on average every 10-20 minutes.  3.2.2-1 kernel.

I don't think I have ever seen this problem before updating to this kernel.
Comment 7 Dave Jones 2012-02-06 11:58:51 EST
It's not clear why this bug is in MODIFIED state. Is this still occurring with the latest update ?
Comment 8 John W. Linville 2012-02-06 12:45:05 EST
kernel-3.2.3-2.fc16 has 'iwlwifi: make "Tx aggregation enabled on ra =" be at DEBUG level' and "iwlwifi: don't mess up QoS counters with non-QoS frames".
Comment 9 Samuel Sieb 2012-02-08 12:35:50 EST
At the risk of speaking too soon, the latest kernel appears to fix this issue.  I haven't had the wireless connection fail since upgrading and it's been over a day now.
Comment 10 Samuel Sieb 2012-02-08 12:36:33 EST
I think bug 787312 is the same issue.
Comment 11 Samuel Sieb 2012-02-08 16:57:44 EST
Unfortunately, I did speak too soon.  It's still happening.  I was just surprised that it didn't happen overnight.  It seems to happen less frequently, but it has happened twice so far today.
Comment 12 Samuel Sieb 2012-02-14 19:44:29 EST
Actually, it looks like it's just one access point, and that one has been a problem for a long time.  I consider this bug fixed with the kernel update.
Comment 13 John W. Linville 2012-02-15 10:09:08 EST
David, are you seeing this issue with kernel-3.2.5-3.fc16 or later?
Comment 14 David Kovalsky 2012-02-22 13:24:56 EST
Hey John, I'm running 3.2.6 for a couple of days now and seems to be working fine. I'll report back in case I spot the issues again.
Comment 15 David Kovalsky 2012-02-24 10:19:46 EST
Scratch that, just reproduced with kernel-3.2.7-1.fc16.x86_64

Not sure if it's relevant but I have uptime of about 24 hours with ~5 suspends-n-resumes in between. 

It's not that often, but still happens.

JFTR, my AP is Linksys WR1043N.


/var/log/messages shows only these messages in the relevant timeframe:
Feb 24 15:59:09 kovinek kernel: [ 9919.777059] iwlwifi 0000:03:00.0: Queue 11 stuck for 2000 ms.
Feb 24 15:59:09 kovinek kernel: [ 9919.777065] iwlwifi 0000:03:00.0: Current SW read_ptr 249 write_ptr 255
Feb 24 15:59:09 kovinek kernel: [ 9919.777116] iwlwifi 0000:03:00.0: Current HW read_ptr 249 write_ptr 255
Feb 24 15:59:09 kovinek kernel: [ 9919.777119] iwlwifi 0000:03:00.0: On demand firmware reload
Feb 24 15:59:09 kovinek kernel: [ 9919.777565] ieee80211 phy0: Hardware restart was requested
Feb 24 15:59:09 kovinek kernel: [ 9919.777635] iwlwifi 0000:03:00.0: L1 Enabled; Disabling L0S
Feb 24 15:59:09 kovinek kernel: [ 9919.777819] iwlwifi 0000:03:00.0: Radio type=0x0-0x3-0x1
Comment 16 Samuel Sieb 2012-03-14 12:09:36 EDT
In the nearly a week since upgrading to 3.2.9-1.fc16.i686.PAE, I haven't had any connection issues even on the one AP that was giving me problems before.
Comment 17 Dave Jones 2012-03-22 13:14:20 EDT
[mass update]
kernel-3.3.0-4.fc16 has been pushed to the Fedora 16 stable repository.
Please retest with this update.
Comment 18 Dave Jones 2012-03-22 13:16:38 EDT
[mass update]
kernel-3.3.0-4.fc16 has been pushed to the Fedora 16 stable repository.
Please retest with this update.
Comment 19 Dave Jones 2012-03-22 13:25:25 EDT
[mass update]
kernel-3.3.0-4.fc16 has been pushed to the Fedora 16 stable repository.
Please retest with this update.
Comment 20 David Kovalsky 2012-04-04 09:24:32 EDT
I've installed 3.3.* kernel, so far so good (a couple of days). I'll keep a  note to report in a week or so on the results.
Comment 21 David Kovalsky 2012-04-06 14:12:41 EDT
Just reproduced. 

$ uname -a
Linux kovinek 3.3.0-8.fc16.x86_64 #1 SMP Thu Mar 29 18:37:19 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux

Apr  6 19:48:45 kovinek kernel: [106396.827441] iwlwifi 0000:03:00.0: Queue 2 stuck for 2000 ms.
Apr  6 19:48:45 kovinek kernel: [106396.827447] iwlwifi 0000:03:00.0: Current SW read_ptr 159 write_ptr 162
Apr  6 19:48:45 kovinek kernel: [106396.827503] iwlwifi 0000:03:00.0: Current HW read_ptr 159 write_ptr 162
Apr  6 19:48:45 kovinek kernel: [106396.827507] iwlwifi 0000:03:00.0: On demand firmware reload
Apr  6 19:48:45 kovinek kernel: [106396.827987] ieee80211 phy0: Hardware restart was requested
Apr  6 19:48:45 kovinek kernel: [106396.828085] iwlwifi 0000:03:00.0: L1 Enabled; Disabling L0S
Apr  6 19:48:45 kovinek kernel: [106396.828266] iwlwifi 0000:03:00.0: Radio type=0x0-0x3-0x1
Apr  6 19:49:17 kovinek nm-openvpn[11157]: read UDPv4 [EHOSTUNREACH|EHOSTUNREACH|EHOSTUNREACH|EHOSTUNREACH|EHOSTUNREACH|EHOSTUNREACH|EHOSTUNREACH|EHOSTUNREACH]: No route to host (code=113)
etc 


I wasn't at the computer at the moment, there was slight to none traffic (IRC client, perhaps offlineimap sync, OpenVPN connection).
Comment 22 Nilesh Patil 2012-06-25 14:08:49 EDT
Same issue with me on Fedora 17 with latest kernel
kernel-3.4.3-1.fc17.x86_64

I see below error message in /var/log/messages

Jun 25 23:27:04 npatil kernel: [ 4132.439244] iwlwifi 0000:02:00.0: Queue 2 stuck for 2000 ms.
Jun 25 23:27:04 npatil kernel: [ 4132.439251] iwlwifi 0000:02:00.0: Current SW read_ptr 197 write_ptr 205
Jun 25 23:27:04 npatil kernel: [ 4132.439305] iwlwifi 0000:02:00.0: Current HW read_ptr 197 write_ptr 205
Jun 25 23:27:04 npatil kernel: [ 4132.439309] iwlwifi 0000:02:00.0: On demand firmware reload
Jun 25 23:27:04 npatil kernel: [ 4132.439727] ieee80211 phy0: Hardware restart was requested
Jun 25 23:27:04 npatil kernel: [ 4132.439816] iwlwifi 0000:02:00.0: L1 Enabled; Disabling L0S
Jun 25 23:27:04 npatil kernel: [ 4132.440005] iwlwifi 0000:02:00.0: Radio type=0x0-0x3-0x1
Comment 23 Dave Jones 2012-10-23 11:35:46 EDT
# Mass update to all open bugs.

Kernel 3.6.2-1.fc16 has just been pushed to updates.
This update is a significant rebase from the previous version.

Please retest with this kernel, and let us know if your problem has been fixed.

In the event that you have upgraded to a newer release and the bug you reported
is still present, please change the version field to the newest release you have
encountered the issue with.  Before doing so, please ensure you are testing the
latest kernel update in that release and attach any new and relevant information
you may have gathered.

If you are not the original bug reporter and you still experience this bug,
please file a new report, as it is possible that you may be seeing a
different problem. 
(Please don't clone this bug, a fresh bug referencing this bug in the comment is sufficient).
Comment 24 Justin M. Forbes 2012-11-14 10:33:39 EST
With no response, we are closing this bug under the assumption that it is no longer an issue. If you still experience this bug, please feel free to reopen the bug report.